# GAMESS-UK NO2 doublet unrestricted DFT (BLYP) optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
gamess = GAMESS_UK(frag=no2, method="dft", basis="3-21g", scftype="uhf", mult=2)

opt = Opt(theory=gamess,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell
eref = -203.90795954

testutils.validate(ecalc, eref)
